package cn.estsh.i3plus.ext.mes.api.base;

import cn.estsh.i3plus.pojo.mes.bean.MesCraftRouteDetail;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Description :工艺路线明细
 * @Reference :
 * @Author : junsheng.li
 * @CreateDate 2024/5/8 16:48
 * @Modify:
 **/
public interface IMesCraftRouteDetailService extends IBaseMesService<MesCraftRouteDetail> {

    void insertMesCraftRouteDetailBatch(List<MesCraftRouteDetail> mesCraftRouteDetailList);

    void updateMesCraftRouteDetailBatch(List<MesCraftRouteDetail> mesCraftRouteDetailList);

    void deleteMesCraftRouteDetailBatch(String organizeCode, String userName, String craftRouteCode);

    @ApiOperation("查找工艺路线")
    List<MesCraftRouteDetail> findProdCraftRouteDetail(String organizeCode, String workCenterCode, String partNo);
}
