package cn.estsh.i3plus.ext.mes.api.base;


import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.mes.bean.MesDowntimeRecord;
import cn.estsh.i3plus.pojo.mes.bean.MesEquipment;
import cn.estsh.i3plus.pojo.mes.model.report.MesDowntimeRecordResModel;

import java.util.List;

/**
 * @Description:
 * @Author: gsz
 * @Date: 2024/5/25 18:16
 * @Modify:
 */
public interface IMesDowntimeRecordService extends IBaseMesService<MesDowntimeRecord> {

    /**
     * MES设备生产停机记录
     * @param organizeCode
     * @param mesEquipmentList
     */
    void doMesDowntimeRecordJob(String organizeCode, List<MesEquipment> mesEquipmentList);

    ListPager<MesDowntimeRecordResModel> queryRecordList(MesDowntimeRecord downtimeRecord, Pager pager);
}
