package cn.estsh.i3plus.ext.mes.api.base;

import cn.estsh.i3plus.pojo.mes.bean.MesEnum;
import io.swagger.annotations.ApiOperation;

import java.util.Map;

public interface IMesEnumExtService extends IBaseMesService<MesEnum>{

    @ApiOperation("根据枚举名获取枚举")
    Map<String, Object> doGetMesEnumByEnumName(String organizeCode, String enumName);

    @ApiOperation("通过class获取枚举")
    Map<String, Object> getEnumByClazzEnum(String enumName, Class clazz);

}
