package cn.estsh.i3plus.ext.mes.api.base;

import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.mes.bean.MesLabelTemplate;
import cn.estsh.i3plus.pojo.mes.bean.MesLabelTemplateFieldInfo;
import cn.estsh.i3plus.pojo.mes.bean.MesLabelTemplateFieldValue;

import java.util.List;

/**
 * @Description : 打印模板
 * @Reference :
 * @Author : junsheng.li
 * @CreateDate 2024/7/10 13:40
 * @Modify:
 **/
public interface IMesLabelTemplateService extends IBaseMesService<MesLabelTemplate> {

    ListPager queryMesLabelTemplateAndParamListByPager(MesLabelTemplate labelTemplate, Pager pager);

    MesLabelTemplate getLabelTemplate(String templateCode, String organizeCode);

    List<MesLabelTemplateFieldInfo> queryMesLabelTemplateParamField(MesLabelTemplateFieldInfo request);

    void saveMesLabelTemplateParamField(List<MesLabelTemplateFieldInfo> templateFieldInfos);

    List<MesLabelTemplateFieldValue> queryMesLabelTemplateParamPartValue(String partNo, String labelTemplate, String organizeCode);

    void saveMesLabelTemplateParamPartValue(List<MesLabelTemplateFieldValue> templateFieldValues);
}
