package cn.estsh.i3plus.ext.mes.api.base;

import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.mes.bean.MesProductVersion;
import io.swagger.annotations.ApiOperation;

/**
 * @Description:
 * @CreateDate 2024/04/16
 * @Author mingliang.li
 */
public interface IMesProductVersionService extends IBaseMesService<MesProductVersion> {

    ListPager<MesProductVersion> queryMesProductVersionByPagerExt(MesProductVersion mesProductVersion, Pager pager);

    @ApiOperation("根据物料生产版本查询生产版本")
    MesProductVersion getMesProductVersionByPartNoAndProductVersion(String organizeCode, String partNo, String productVersion);

}
