package cn.estsh.i3plus.ext.mes.api.base;

import cn.estsh.i3plus.pojo.mes.bean.MesQmsSuspicious;
import cn.estsh.i3plus.pojo.mes.bean.nc.MesPartInspection;

import java.util.List;

/**
 * @Description :MES可疑品汇总
 * @Reference :
 * @Author : gsz
 * @CreateDate 2024/7/3 10:28
 * @Modify:
 **/
public interface IMesQmsSuspiciousService extends IBaseMesService<MesQmsSuspicious> {
    /**
     * QMS报废品汇总
     * @param mesPartInspectionList
     * @param organizeCode
     */
    void doQmsSuspiciousByPartInspection(List<MesPartInspection> mesPartInspectionList, String organizeCode);
}
