package cn.estsh.i3plus.ext.mes.api.base;

import cn.estsh.i3plus.pojo.mes.bean.MesWorkCell;
import cn.estsh.i3plus.pojo.mes.bean.MesWorkCenter;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Description:
 * @CreateDate 2024/04/16
 * @Author mingliang.li
 */
public interface IMesWorkCenterService extends IBaseMesService<MesWorkCenter> {

    @ApiOperation(value = "根据生产线代码查询生产线信息")
    MesWorkCenter getWorkCenterDb(String organizeCode, String workCenterCode);

    @ApiOperation(value = "根据生产线代码查询生产线信息的ERP生产线代码")
    String getErpWorkCenterCode(String organizeCode, String workCenterCode);

    @ApiOperation(value = "根据产线代码集合查询产线信息集合")
    List<MesWorkCenter> queryMesWorkCenterList(List<String> workCenterCodeList, String organizeCode);

}
