package cn.estsh.i3plus.ext.mes.api.base;


import cn.estsh.i3plus.pojo.mes.bean.MesWorkOrderAssembly;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Description : 工单装配件
 * @Reference :
 * @Author : junsheng.li
 * @CreateDate 2024/9/19 16:42
 * @Modify:
 **/
public interface IMesWorkOrderAssemblyService extends IBaseMesService<MesWorkOrderAssembly> {

    @ApiOperation("根据工单号查询排序线排产装配目视项")
    List<MesWorkOrderAssembly> findMesWorkOrderAssembly(String workOrderNo, String organizeCode);

}
