package cn.estsh.i3plus.ext.mes.api.base;

import cn.estsh.i3plus.pojo.mes.bean.MesBom;
import cn.estsh.i3plus.pojo.mes.bean.MesWorkOrder;
import cn.estsh.i3plus.pojo.mes.bean.MesWorkOrderToWms;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Description : 工单发送给WMS数据
 * @Reference :
 * @Author : junsheng.li
 * @CreateDate 2024/6/18 19:58
 * @Modify:
 **/
public interface IMesWorkOrderToWmsService extends IBaseMesService<MesWorkOrderToWms> {

    @ApiOperation(value = "发送工单给Wms")
    List<MesWorkOrderToWms> saveMesWorkOrderToWms(MesWorkOrder mesWorkOrder, List<MesBom> mesBomList, String userName, boolean flag);

    @ApiOperation("根据工单号查询工单发送给WMS数据")
    List<MesWorkOrderToWms> findMesWorkOrderToWms(String workOrderNo, String organizeCode);
}
