package cn.estsh.i3plus.ext.mes.api.busi.board;

import cn.estsh.i3plus.ext.mes.pojo.model.board.MesGepicsInspectionInfoModel;
import cn.estsh.i3plus.ext.mes.pojo.model.board.MesWorkCenterBoardConditionModel;
import cn.estsh.i3plus.ext.mes.pojo.model.board.MesWorkCenterBoardResultModel;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Description : 看板-业务方法
 * @Reference :
 * @Author : logic
 * @CreateDate : 2024/6/19 11:08
 * @Modify:
 **/
public interface IMesYfBoardService {

    /**
     * 产线看板
     */
    List<MesWorkCenterBoardResultModel> queryWorkCenterStatus(MesWorkCenterBoardConditionModel conditionModel);

    MesWorkCenterBoardResultModel queryWorkCenterProductionCompletionRate(MesWorkCenterBoardConditionModel conditionModel);

    List<MesWorkCenterBoardResultModel> queryWorkCenterWorkOrderCompletionStatus(MesWorkCenterBoardConditionModel conditionModel);

    List<MesWorkCenterBoardResultModel> queryUnitHourCompletionRate(MesWorkCenterBoardConditionModel conditionModel);

    List<MesWorkCenterBoardResultModel> queryWorkCenterFirstTimeOfflineQualificationRate(MesWorkCenterBoardConditionModel conditionModel);

    List<MesWorkCenterBoardResultModel> queryInspectionResults(MesWorkCenterBoardConditionModel conditionModel);

    MesWorkCenterBoardResultModel queryAbnormalDowntime(MesWorkCenterBoardConditionModel conditionModel);

    @ApiOperation("查询V107Melos数据监控")
    ListPager<MesGepicsInspectionInfoModel> queryGepicsInspectionInfo(MesGepicsInspectionInfoModel infoModel, Pager pager);

}
