package cn.estsh.i3plus.ext.mes.apiservice.controller.base;

import cn.estsh.i3plus.ext.mes.api.base.IMesBtoJobService;
import cn.estsh.i3plus.ext.mes.pojo.constant.MesCommonConstant;
import cn.estsh.impp.framework.base.controller.MesBaseController;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Description :
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2024/6/21 11:46
 * @Modify:
 **/
@RestController
@Api(description = "bto生产")
@RequestMapping(MesCommonConstant.MES_YANFEN + "/bto-data")
public class BtoController extends MesBaseController {
    @Autowired
    private IMesBtoJobService btoJobService;

    @PostMapping
    public void create(@RequestParam String organizeCode,@RequestParam List<String> groupCodeList){
        btoJobService.doCreateBto(organizeCode, groupCodeList);
    }
}
