package cn.estsh.i3plus.ext.mes.apiservice.controller.base;

import cn.estsh.i3plus.ext.mes.pojo.constant.MesCommonConstant;
import cn.estsh.i3plus.pojo.mes.bean.MesWorkCenterPartRelation;
import cn.estsh.impp.framework.boot.util.ValidatorBean;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Description : 产线与零件关系
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2024/7/3 19:08
 * @Modify:
 **/
@RestController
@RequestMapping(MesCommonConstant.MES_YANFEN + "/mesWorkCenterPartRelation")
public class MesWorkCenterPartRelationController extends BaseMesController<MesWorkCenterPartRelation> {

    @Override
    public void validateImport(List<MesWorkCenterPartRelation> beanList) {
        beanList.forEach(item ->{
            ValidatorBean.checkNotNull(item.getPartNo(), "零件号不能为空");
            ValidatorBean.checkNotNull(item.getWorkCenterName(), "产线名称不能为空!");
        });


    }
}
