package cn.estsh.i3plus.ext.mes.apiservice.dao;

import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Description : BOM信息
 * @Reference :
 * @Author : junsheng.li
 * @CreateDate 2024/6/24 14:35
 * @Modify:
 **/
public interface IMesBomDao {

    @ApiOperation("查询生产版本信息")
    List<String> findBomVersionByPartNo(String partNo, String organizeCode);

    @ApiOperation("根据生产版本查询BomCode")
    List<String> findBomCodeByPartNoAndBomVersion(String partNo, String bomVersion, String organizeCode);
}
