package cn.estsh.i3plus.ext.mes.apiservice.dao;

import cn.estsh.i3plus.ext.mes.pojo.model.MesShippingOrderManagementDetailModel;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.mes.bean.MesWorkOrderPart;
import cn.estsh.i3plus.pojo.mes.bean.shipping.MesShippingOrderManagementDetail;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Description : SAP生产计划
 * @Reference :
 * @Author : junsheng.li
 * @CreateDate 2024/5/7 15:13
 * @Modify:
 **/
public interface IMesShippingOrderManagementDetailDao {

    int queryOrderDetailGroupByPartCount(MesShippingOrderManagementDetail detail);
    int queryDetailGroupByPartNo(MesWorkOrderPart detail);

    List<MesShippingOrderManagementDetailModel> queryOrderDetailGroupByPartInfo(MesShippingOrderManagementDetail detail, Pager pager);
    List<MesWorkOrderPart> queryOrderDetailGroupByPartInfo(MesWorkOrderPart detail, Pager pager);

    @ApiOperation("查询发运单明细")
    ListPager<MesShippingOrderManagementDetailModel> queryMesShippingDetailsByPager(MesShippingOrderManagementDetailModel mesShippingOrderManagementDetailModel, Pager pager);

    List<MesShippingOrderManagementDetail> queryMesShippingOrderManagementDetail(MesWorkOrderPart bean);
}
