package cn.estsh.i3plus.ext.mes.apiservice.serviceimpl.base;

import cn.estsh.i3plus.ext.mes.api.base.IMesCutLengthModifyTypeService;
import cn.estsh.i3plus.pojo.mes.bean.MesCutLengthModifyType;
import cn.estsh.impp.framework.boot.util.ValidatorBean;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * @Description :
 * @Reference :
 * @Author : PZJ
 * @CreateDate : 2024/9/20 9:47
 * @Modify:
 **/
@Slf4j
@Service
public class MesCutLengthModifyTypeServiceImpl extends BaseMesService<MesCutLengthModifyType> implements IMesCutLengthModifyTypeService {


    @Override
    protected void onInsertBean(MesCutLengthModifyType item) {
        ValidatorBean.checkNotNull(item.getReasonName(), "原因名称不能为空");
    }

    @Override
    protected void onUpdateBean(MesCutLengthModifyType item) {
        ValidatorBean.checkNotNull(item.getId(), "主键不能为空");
        ValidatorBean.checkNotNull(item.getReasonName(), "原因名称不能为空");
    }
}
