package cn.estsh.i3plus.ext.mes.apiservice.serviceimpl.base;

import cn.estsh.i3plus.ext.mes.api.base.IMesPartPackageRuleDetailService;
import cn.estsh.i3plus.pojo.base.bean.DdlPackBean;
import cn.estsh.i3plus.pojo.base.tool.DdlPreparedPack;
import cn.estsh.i3plus.pojo.mes.bean.MesPartPackageRuleDetail;
import cn.estsh.impp.framework.boot.util.ValidatorBean;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * @Description :
 * @Reference :
 * @Author : PZJ
 * @CreateDate : 2024/9/25 9:51
 * @Modify:
 **/
@Service
@Slf4j
public class MesPartPackageRuleDetailServiceImpl extends BaseMesService<MesPartPackageRuleDetail> implements IMesPartPackageRuleDetailService {


    @Override
    protected void setPackQueryBean(MesPartPackageRuleDetail bean, DdlPackBean packBean) {
        DdlPreparedPack.getNumEqualPack(bean.getPid(), "pid", packBean);
    }

    @Override
    protected void onInsertBean(MesPartPackageRuleDetail item) {
        ValidatorBean.checkNotNull(item.getPartNo(),"零件号为空");
    }

    @Override
    protected void onUpdateBean(MesPartPackageRuleDetail item) {
        ValidatorBean.checkNotNull(item.getId(),"id不能为空");
        ValidatorBean.checkNotNull(item.getPartNo(),"零件号为空");
    }
}
