package cn.estsh.i3plus.ext.mes.apiservice.serviceimpl.base;

import cn.estsh.i3plus.pojo.base.bean.DdlPackBean;
import cn.estsh.i3plus.pojo.base.tool.DdlPreparedPack;
import cn.estsh.i3plus.pojo.mes.bean.MesPartProdGroupWindowTime;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

@Service
@Slf4j
public class MesPartProdGroupWindowTimeService extends BaseMesService<MesPartProdGroupWindowTime> {

    @Override
    protected void setPackQueryBean(MesPartProdGroupWindowTime bean, DdlPackBean packBean) {
        DdlPreparedPack.getStringEqualPack(bean.getPartProdGroupCode(), "partProdGroupCode", packBean);
        DdlPreparedPack.getStringEqualPack(bean.getPartProdGroupName(), "partProdGroupName", packBean);
    }
}
