package cn.estsh.i3plus.ext.mes.apiservice.serviceimpl.base;

import cn.estsh.i3plus.ext.mes.api.base.IMesPartPtrService;
import cn.estsh.i3plus.ext.mes.pojo.util.MesExtConstWords;
import cn.estsh.i3plus.pojo.base.bean.DdlPackBean;
import cn.estsh.i3plus.pojo.base.tool.DdlPreparedPack;
import cn.estsh.i3plus.pojo.mes.bean.MesPartPtr;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

@Service
@Slf4j
public class MesPartPtrService extends BaseMesService<MesPartPtr> implements IMesPartPtrService {

    @Override
    protected void setPackQueryBean(MesPartPtr bean, DdlPackBean packBean) {
        DdlPreparedPack.getStringEqualPack(bean.getWorkCenterCode(), MesExtConstWords.WORK_CENTER_CODE, packBean);
        DdlPreparedPack.getStringEqualPack(bean.getSrcPartNo(), "srcPartNo", packBean);
        DdlPreparedPack.getStringEqualPack(bean.getDestPartNo(), "destPartNo", packBean);
        DdlPreparedPack.getNumEqualPack(bean.getStatus(), MesExtConstWords.STATUS, packBean);
        DdlPreparedPack.getNumEqualPack(bean.getPrtVehicleCount(), "prtVehicleCount", packBean);
        DdlPreparedPack.getNumEqualPack(bean.getPrtVehicleActualCount(), "prtVehicleActualCount", packBean);
        DdlPreparedPack.getStringLikerPack(bean.getSeqInfoPrtPart(), "seqInfoPrtPart", packBean);
        DdlPreparedPack.timeBuilder(bean.getStartTimeStart(), bean.getStartTimeEnd(), MesExtConstWords.START_TIME, packBean, false);
    }

}
