package cn.estsh.i3plus.ext.mes.apiservice.serviceimpl.base;

import cn.estsh.i3plus.ext.mes.api.base.IMesTimeEfficientCfgService;
import cn.estsh.i3plus.pojo.base.bean.DdlPackBean;
import cn.estsh.i3plus.pojo.base.tool.DdlPreparedPack;
import cn.estsh.i3plus.pojo.mes.bean.MesTimeEfficientCfg;
import cn.estsh.impp.framework.boot.util.ValidatorBean;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@Slf4j
public class MesTimeEfficientCfgService extends BaseMesService<MesTimeEfficientCfg> implements IMesTimeEfficientCfgService {


    protected void setPackQueryBean(MesTimeEfficientCfg bean, DdlPackBean packBean) {
        DdlPreparedPack.getNumEqualPack(bean.getSourceId(), "sourceId", packBean);
    }
    @Override
    public void validateImport(List<MesTimeEfficientCfg> beanList) {

        for (MesTimeEfficientCfg item : beanList) {
            // 数据校验
            ValidatorBean.checkNotNull(item.getSourceId(), "非排序加工规则ID");
            ValidatorBean.checkNotNull(item.getCraftCode(), "工艺代码不能为空");

        }
    }
}
