package cn.estsh.i3plus.ext.mes.apiservice.serviceimpl.base;

import cn.estsh.i3plus.ext.mes.api.base.IMesWorkOrderToSapService;
import cn.estsh.i3plus.ext.mes.pojo.util.MesExtConstWords;
import cn.estsh.i3plus.platform.common.convert.ConvertBean;
import cn.estsh.i3plus.pojo.base.bean.DdlPackBean;
import cn.estsh.i3plus.pojo.base.tool.DdlPreparedPack;
import cn.estsh.i3plus.pojo.mes.bean.MesWorkOrderToSap;
import cn.estsh.i3plus.pojo.mes.model.MesWorkOrderModel;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import java.util.*;
import java.util.stream.Collectors;

@Service
@Slf4j
public class MesWorkOrderToSapServiceImpl extends BaseMesService<MesWorkOrderToSap> implements IMesWorkOrderToSapService {

    @Override
    public void doMesWorkOrder(String organizeCode,String userName,List<MesWorkOrderModel> mesWorkOrderList) {
        List<MesWorkOrderToSap> mesWorkOrderToSapList = new ArrayList<>();
        //数据处理
        for (MesWorkOrderModel mesWorkOrder : mesWorkOrderList) {
            MesWorkOrderToSap orderToSap = new MesWorkOrderToSap(mesWorkOrder.getOrganizeCode(), mesWorkOrder.getPartNo(), mesWorkOrder.getProductVersion(), mesWorkOrder.getQty(), mesWorkOrder.getPlanStartTime());
            ConvertBean.serviceModelInitialize(orderToSap,userName);
            mesWorkOrderToSapList.add(orderToSap);
        }
        baseRDao.saveAll(mesWorkOrderToSapList);
    }
}
