package cn.estsh.i3plus.ext.mes.apiservice.serviceimpl.print;

import cn.estsh.i3plus.ext.mes.pojo.model.MesProduceSnPrintModel;
import cn.estsh.i3plus.pojo.mes.bean.MesNumberRule;
import cn.estsh.i3plus.pojo.mes.model.GenSerialNoModel;

/**
 * @Description : 根据不同的条码,封装不同的数据来源  content 是打印模板，dataList
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2024/6/6 16:39
 * @Modify:
 **/
public interface IPrintTemplateStrategyService {

    /**
     * GenSerialNoModel 生成条码的规则
     * mesProduceSnPrintModel 需要的数据
     * @param model
     * @param mesProduceSnPrintModel
     * @return
     */
    MesProduceSnPrintModel execute(GenSerialNoModel model, MesProduceSnPrintModel mesProduceSnPrintModel, MesNumberRule numberRule);

}
