package cn.estsh.i3plus.ext.mes.apiservice.serviceimpl.report;

import cn.estsh.i3plus.ext.mes.api.busi.report.IShipmentDetailReportService;
import cn.estsh.i3plus.ext.mes.apiservice.dao.report.IShipmentDetailReportDao;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.mes.model.report.ShippingReportModel;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Description : 发运明细报表 服务实现
 * @Reference :
 * @Author : PZJ
 * @CreateDate : 2024/9/29 9:51
 * @Modify:
 **/
@Service
@Slf4j
public class ShipmentDetailReportServiceImpl implements IShipmentDetailReportService {

    @Autowired
    private IShipmentDetailReportDao shipmentDetailReportDao;
    @Override
    public ListPager<ShippingReportModel> queryReport(ShippingReportModel model, Pager pager) {
        return shipmentDetailReportDao.queryReport(model,pager);
    }
}
