package cn.estsh.i3plus.ext.mes.pojo.model;


import io.swagger.annotations.ApiParam;
import lombok.Data;

@Data
public class MesLoadingListDetailModel {

    @ApiParam("装车单号")
    private String orderCode;

    @ApiParam("客户代码")
    private String custCode;

    @ApiParam("客户名称")
    private String custName;

    @ApiParam("客户工厂代码")
    private String custOrganizeCode;

    @ApiParam("客户工厂名称")
    private String custOrganizeName;

    @ApiParam("发运组代码")
    private String shippingGroupCode;

    @ApiParam("发运组代码")
    private String shippingGroupName;

    @ApiParam("状态")
    private Integer status;

    @ApiParam("车牌号")
    private String truckNo;

    @ApiParam("天气情况")
    private Integer weather;

    @ApiParam("发运单号")
    private String shippingCode;

    @ApiParam("开始扫描时间")
    private String startScanTime;


    @ApiParam("结束扫描时间")
    private String endScanTime;

    @ApiParam("发运状态")
    private Integer shippingStatus;


    @ApiParam("创建用户")
    public String createUser;

    @ApiParam("创建日期")
    public String createDatetime;


    @ApiParam("修改人")
    public String modifyUser;

    @ApiParam("修改日期")
    public String modifyDatetime;

    @ApiParam("备注")
    public String remark;

}
