package cn.estsh.i3plus.ext.mes.pojo.model.board;

import cn.estsh.i3plus.pojo.mes.bean.edi.wh.order.MesCimGmGepics;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description : 通用V107Melos数据监控Model
 * @Reference :
 * @Author : junsheng.li
 * @CreateDate 2024/10/11 13:21
 * @Modify:
 **/
@Data
@ApiModel("通用V107Melos数据监控Model")
public class MesGepicsInspectionInfoModel {
    @ApiParam("工厂代码")
    private String organizeCode;

    @ApiModelProperty(name = "gaRule")
    private String gaRule;

    @ApiParam("GA号")
    private String gepicsCsnNo;

    @ApiParam("需求日期")
    private String gepicsDate;

    @ApiParam("需求时间")
    private String gepicsTime;

    @ApiParam("GA号")
    private String melosCsnNo;

    @ApiParam("需求日期")
    private String melosDate;

    @ApiParam("需求时间")
    private String melosTime;

    public MesGepicsInspectionInfoModel(){

    }

    public MesGepicsInspectionInfoModel(MesCimGmGepics mesCimGmGepics){
        this.gepicsCsnNo =  mesCimGmGepics.getCsnNo();
        this.gepicsDate =  mesCimGmGepics.getDate();
        this.gepicsTime =  mesCimGmGepics.getTime();
    }
}
