package cn.estsh.i3plus.ext.mes.pojo.model.board;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Description : 工单看板封装
 * @Reference :
 * @Author : zxw
 * @CreateDate : 2024/6/19 15:26
 * @Modify:
 **/
@Data
@ApiModel("产线看板-查询结果封装")
public class MesWorkOrderBoardReqModel {

    /**
     * 查询产线状态
     */
    @ApiParam(value = "产线代码")
    private String workCenterCode;
    /**
     * 工厂编码
     */
    @ApiParam(value = "工厂编码")
    private String organizeCode;
}
