package cn.estsh.i3plus.ext.mes.pojo.model.board;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description : 工单看板封装
 * @Reference :
 * @Author : zxw
 * @CreateDate : 2024/6/19 15:26
 * @Modify:
 **/
@Data
@ApiModel("BTO工单看板-查询结果封装")
public class MesWorkOrderBoardResModel {

    /**
     * 查询产线状态
     */
    @ApiParam(value = "产线代码")
    private String workCenterCode;

    /**
     * 查询产线状态
     */
    @ApiParam(value = "物料编码")
    private String partNo;


    /**
     * 物料名称
     */
    @ApiParam(value = "物料名称")
    private String partName;


    /**
     * 汇总日期
     */
    @ApiParam(value = "汇总日期")
    private String productDate;


    /**
     * 工单时间
     */
    @ApiParam(value = "工单时间")
    private String orderTime;

    /**
     * 计划数量
     */
    @ApiParam(value = "计划数量")
    private Double qty;

    /**
     * 完成数量
     */
    @ApiParam(value = "完成数量")
    private Double completeQty;

    /**
     * 创建时间
     */
    @ApiParam(value = "创建时间")
    private String createDatetime;
}
