package cn.estsh.i3plus.ext.mes.pojo.model.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description : 设备数据查询报表-查询条件封装
 * @Reference :
 * @Author : logic
 * @CreateDate : 2024/6/15 11:38
 * @Modify:
 **/
@Data
@ApiModel("设备数据查询报表-查询条件封装")
public class MesDeviceDataQueryReportConditionModel {

    @ApiParam(value = "组织代码")
    private String organizeCode;

    @ApiParam(value = "工作中心（产线）")
    private String workCenterCode;

    @ApiParam(value = "工作单元代码（工位）")
    private String workCellCode;

    @ApiParam(value = "生产工单号（工单）")
    private String workOrderNo;

    @ApiParam(value = "过程条码（主条码）")
    private String serialNumber;

    @ApiParam(value = "设备代码（设备编号）")
    private String equipmentCode;

    @ApiParam(value = "日志类型")
    private Integer logType;

    @ApiParam(value = "创建日期查询用，查询起始日期")
    private String createDateTimeStart;

    @ApiParam(value = "创建日期查询用，查询结束日期")
    private String createDateTimeEnd;

}
