package cn.estsh.i3plus.ext.mes.pojo.model.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description : 产线产品加工规则报表-查询条件封装
 * @Reference :
 * @Author : logic
 * @CreateDate : 2024/6/17 15:52
 * @Modify:
 **/
@Data
@ApiModel("产线产品加工规则报表-查询条件封装")
public class MesProdRuleReportConditionModel {

    @ApiParam(value = "组织代码")
    private String organizeCode;

    @ApiParam(value = "工作中心（产线）")
    private String workCenterCode;

    @ApiParam(value = "工作单元代码（工位）")
    private String workCellCode;

    @ApiParam(value = "设备代码（设备编号）")
    private String equipmentCode;

    @ApiParam(value = "进料零件号")
    private String inPartNo;

    @ApiParam(value = "进料零件规则")
    private String inPartNoRule;

    @ApiParam(value = "产成零件号")
    private String outPartNo;

    @ApiParam(value = "是否排序")
    private Integer isSort;

}
