package cn.estsh.i3plus.ext.mes.api.base;

import cn.estsh.i3plus.pojo.mes.bean.MesCustomerMessagePoint;

import java.util.List;

/**
 * @Description:
 * @CreateDate 2024/04/16
 * @Author mingliang.li
 */
public interface IMesCustomerMessagePointService extends IBaseMesService<MesCustomerMessagePoint> {

        MesCustomerMessagePoint getPointByCode(String pointCode,String organizeCode);

        /**
         * 根据客户工厂代码查找对应的
         * @param custOrganizeCode
         * @return
         */
        List<MesCustomerMessagePoint> getByCustOrganizeCode(String custOrganizeCode);
}
