package cn.estsh.i3plus.ext.mes.api.base;

import cn.estsh.i3plus.pojo.mes.bean.MesCustomerCarModelDetail;
import cn.estsh.i3plus.pojo.mes.bean.MesCustomerPart;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Description:
 * @CreateDate 2024/04/16
 * @Author mingliang.li
 */
public interface IMesCustomerPartService extends IBaseMesService<MesCustomerPart> {

    List<MesCustomerPart> findMesCustomerPart(MesCustomerCarModelDetail mesPartProdGroupDetail);

    @ApiOperation("根据零件号获取客户零件关系")
    List<MesCustomerPart> findMesCustomerPartByPartNo(String organizeCode,List<String> partNoList);

    @ApiOperation("根据客户零件号查询客erp零件号")
    String findErpPartNoByCustPartNo(String custPartNo,String organizeCode);

    @ApiOperation("根据客户零件号查询客erp零件号")
    String findPartNo(String custPartNo,String organizeCode);

}
