package cn.estsh.i3plus.ext.mes.api.base;

import cn.estsh.i3plus.pojo.mes.bean.MesMoveRule;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Description : 移库规则
 * @Reference :
 * @Author : junsheng.li
 * @CreateDate 2024/6/5 9:06
 * @Modify:
 **/
public interface IMesMoveRuleService extends IBaseMesService<MesMoveRule> {

    @ApiOperation("根据组代码加code查询移库规则信息")
    List<MesMoveRule> findMesMoveRuleByPartProdGroupCode(String code,String organizeCode,Integer groupType);
}
