package cn.estsh.i3plus.ext.mes.api.base;

import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.mes.bean.MesPart;

import java.util.List;

/**
 * @Description:
 * @CreateDate 2024/04/16
 * @Author mingliang.li
 */
public interface IMesPartService extends IBaseMesService<MesPart> {

    MesPart getPartByPartNo(String partNo, String organizeCode);

    List<MesPart> findMesPartByPartNoList(List<String> partNoList, String organizeCode);

    ListPager<MesPart> queryMesPartByPagerExt(MesPart mesPart, Pager pager);
}
