package cn.estsh.i3plus.ext.mes.api.base;

import cn.estsh.i3plus.pojo.mes.bean.MesProdRuleNosortCfg;
import io.swagger.annotations.ApiOperation;

/**
 * @Description:
 * @CreateDate 2024/04/16
 * @Author zxw
 */
public interface IMesProdRuleNosortCfgService extends IBaseMesService<MesProdRuleNosortCfg> {

    @ApiOperation(value = "根据产线和物料查询非排序产品加工规则配置", notes = "根据产线和物料查询非排序产品加工规则配置")
    MesProdRuleNosortCfg findMesProdRuleNosortCfgByWorkCenterCode(String workCenterCode, String partNo, String organizeCode);

}
