package cn.estsh.i3plus.ext.mes.api.base;

import cn.estsh.i3plus.pojo.mes.bean.MesQmsScrap;
import cn.estsh.i3plus.pojo.mes.bean.nc.MesPartInspection;

import java.util.List;

/**
 * @Description :MES_QMS报废品汇总
 * @Reference :
 * @Author : gsz
 * @CreateDate 2024/7/3 10:28
 * @Modify:
 **/
public interface IMesQmsScrapService extends IBaseMesService<MesQmsScrap> {
    /**
     * QMS报废品汇总
     * @param mesPartInspectionList
     * @param organizeCode
     */
    void doQmsScrapByPartInspection(List<MesPartInspection> mesPartInspectionList, String organizeCode);
}
