package cn.estsh.i3plus.ext.mes.api.base;


import cn.estsh.i3plus.pojo.mes.bean.MesWorkOrderPart;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Description : 工单零件
 * @Reference :
 * @Author : junsheng.li
 * @CreateDate 2024/9/19 16:42
 * @Modify:
 **/
public interface IMesWorkOrderPartService extends IBaseMesService<MesWorkOrderPart> {

    @ApiOperation("根据工单号查询工单零件")
    List<MesWorkOrderPart> findMesWorkOrderPart(String workOrderNo, String organizeCode);

    @ApiOperation("根据工单号查询工单零件")
    List<MesWorkOrderPart> findMesWorkOrderPart(List<String> workOrderNoList, String organizeCode);
}
