package cn.estsh.i3plus.ext.mes.api.busi.report;

import cn.estsh.i3plus.ext.mes.api.base.IBaseMesService;
import cn.estsh.i3plus.ext.mes.pojo.model.report.MesWorkCellScanMonitorConditionModel;
import cn.estsh.i3plus.ext.mes.pojo.model.report.MesWorkCellScanMonitorLogModel;
import cn.estsh.i3plus.pojo.mes.bean.MesPackingDefineDetails;
import cn.estsh.i3plus.pojo.mes.bean.MesWorkCellScanMonitorLog;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Description : 工位扫描日志合并设备日志报表
 * @Reference :
 * @Author : wangjie
 * @CreateDate : 2023/02/06 13:42
 * @Modify:
 **/
public interface IMesWorkCellScanMonitorLogService extends IBaseMesService<MesWorkCellScanMonitorLog> {

    /**
     * 查询工位扫描日志合并设备日志报表
     * @param conditionModel
     * @return
     */
    @ApiOperation(value = "查询工位扫描日志合并设备日志报表")
    List<MesWorkCellScanMonitorLogModel> queryWorkCellScanMonitorLogList(MesWorkCellScanMonitorConditionModel conditionModel);

}
