package cn.estsh.i3plus.ext.mes.apiservice.dao;


import cn.estsh.i3plus.pojo.mes.bean.MesProdRuleNosortCfg;
import io.swagger.annotations.ApiOperation;

import java.util.List;

public interface IMesProdRuleNosortCfgDao {

    @ApiOperation(value = "根据产线和物料查询非排序产品加工规则配置", notes = "根据产线和物料查询非排序产品加工规则配置")
    List<MesProdRuleNosortCfg> findMesProdRuleNosortCfgByWorkCenterCode(String workCenterCode, String partNo, String organizeCode);

    @ApiOperation(value = "根据工位和物料查询非排序产品加工规则配置", notes = "根据工位和物料查询非排序产品加工规则配置")
    List<MesProdRuleNosortCfg> findMesProdRuleNosortCfgByWorkCellCode(String workCellCode, String partNo, String organizeCode);

}
