package cn.estsh.i3plus.ext.mes.apiservice.serviceimpl.base;

import cn.estsh.i3plus.ext.mes.api.base.IMesPartPackageRuleService;
import cn.estsh.i3plus.pojo.mes.bean.MesPartPackageRule;
import cn.estsh.impp.framework.boot.util.ValidatorBean;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * @Description :
 * @Reference :
 * @Author : PZJ
 * @CreateDate : 2024/9/25 9:37
 * @Modify:
 **/
@Service
@Slf4j
public class MesPartPackageRuleServiceImpl extends BaseMesService<MesPartPackageRule> implements IMesPartPackageRuleService {

    @Override
    protected void onInsertBean(MesPartPackageRule item) {
        ValidatorBean.checkNotNull(item.getPackagePartNo(),"包覆零件号为空");
    }

    @Override
    protected void onUpdateBean(MesPartPackageRule item) {
        ValidatorBean.checkNotNull(item.getId(),"id不能为空");
        ValidatorBean.checkNotNull(item.getPackagePartNo(),"包覆零件号为空");
    }
}
