package cn.estsh.i3plus.ext.mes.apiservice.serviceimpl.base;

import cn.estsh.i3plus.ext.mes.api.base.IMesRouteService;
import cn.estsh.i3plus.pojo.base.bean.DdlPackBean;
import cn.estsh.i3plus.pojo.base.tool.DdlPreparedPack;
import cn.estsh.i3plus.pojo.mes.bean.MesRoute;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * @Description : 流程表
 * @Reference :
 * @Author : junsheng.li
 * @CreateDate 2024/7/3 9:47
 * @Modify:
 **/
@Service
@Slf4j
public class MesRouteServiceImpl extends BaseMesService<MesRoute> implements IMesRouteService {

    @Override
    protected void setPackQueryBean(MesRoute bean, DdlPackBean packBean) {
        DdlPreparedPack.getStringLikerPack(bean.getRouteCode(), "routeCode", packBean);
        DdlPreparedPack.getStringLikerPack(bean.getRouteName(), "routeName", packBean);
    }
}
