package cn.estsh.i3plus.ext.mes.apiservice.serviceimpl.report;

import cn.estsh.i3plus.ext.mes.api.busi.report.IProductInspectionSubReportService;
import cn.estsh.i3plus.ext.mes.apiservice.dao.report.IProductInspectionSubReportDao;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.mes.bean.MesQmsSuspicious;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Description :  检验产品数据子报表
 * @Reference :
 * @Author : PZJ
 * @CreateDate : 2024/9/29 13:50
 * @Modify:
 **/
@Service
@Slf4j
public class ProductInspectionSubReportServiceImpl implements IProductInspectionSubReportService {

    @Autowired
    private IProductInspectionSubReportDao productInspectionSubReportDao;

    @Override
    public ListPager<MesQmsSuspicious> queryReport(MesQmsSuspicious model, Pager pager) {
        return productInspectionSubReportDao.queryReport(model,pager);
    }
}
