package cn.estsh.i3plus.ext.mes.apiservice.serviceimpl.report;

import cn.estsh.i3plus.ext.mes.api.busi.report.ISuspiciousItemBarcodeReportService;
import cn.estsh.i3plus.ext.mes.apiservice.dao.report.ISuspiciousItemBarcodeReportDao;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.mes.model.report.SuspiciousItemBarcodeReportModel;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Description : 可疑品条码信息报表
 * @Reference :
 * @Author : PZJ
 * @CreateDate : 2024/9/28 19:28
 * @Modify:
 **/
@Service
@Slf4j
public class SuspiciousItemBarcodeReportServiceImpl implements ISuspiciousItemBarcodeReportService {

    @Autowired
    private ISuspiciousItemBarcodeReportDao suspiciousItemBarcodeReportDao;
    @Override
    public ListPager<SuspiciousItemBarcodeReportModel> queryReport(SuspiciousItemBarcodeReportModel model, Pager pager) {
        return suspiciousItemBarcodeReportDao.queryReport(model,pager);
    }
}
