package cn.estsh.i3plus.ext.mes.pojo.model.board;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @Description : 产线看板-查询条件封装
 * @Reference :
 * @Author : logic
 * @CreateDate : 2024/6/19 11:13
 * @Modify:
 **/
@Data
@ApiModel("产线看板-查询条件封装")
public class MesWorkCenterBoardConditionModel {

    @ApiParam(value = "组织代码")
    private String organizeCode;

    @ApiParam(value = "产线代码集合")
    private List<String> workCenterCodeList;

    @ApiParam(value = "时间范围标识")
    private Integer timeRangeIdentification;

}
