package cn.estsh.i3plus.ext.mes.pojo.model.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

@Data
@ApiModel("工位扫描日志合并设备日志报表-查询条件封装")
public class MesWorkCellScanMonitorLogModel {

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("创建时间")
    private String createDatetime;

    @ApiParam("创建人")
    private String createUser;

    @ApiParam("开模记录ID")
    private Long mouldRecordId;

    @ApiParam("区域代码")
    private String areaCode;

    @ApiParam("工作中心")
    private String workCenterCode;

    @ApiParam("工作单元代码")
    private String workCellCode;

    @ApiParam("设备代码")
    private String equipmentCode;

    @ApiParam("设备名称")
    private String equipmentName;

    @ApiParam("工序代码")
    private String processCode;

    @ApiParam("工序名称")
    private String processName;

    @ApiParam("工艺代码")
    private String craftCode;

    @ApiParam("工艺名称")
    private String craftName;

    @ApiParam("扫描/读取信息")
    private String scanInfo;

    @ApiParam("生产工单号")
    private String workOrderNo;

    @ApiParam("零件条码")
    private String productSn;

    @ApiParam("工步代码")
    private String stepCode;

    @ApiParam("日志类型")
    private Integer logType;

    @ApiParam("日志内容")
    private String message;

    @ApiParam("信息类型")
    private Integer messageType;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partName;

    @ApiParam("设备变量ID")
    private Long equipVariableId;

    @ApiParam("设备变量名称")
    private String equipVariableName;

    @ApiParam("变量当前值")
    private String equipVariableValue;

    @ApiParam("设备质量")
    private Integer quality;

    @ApiParam("日志类型")
    private String logTypeName;

    @ApiParam("信息类型")
    private String messageTypeName;

}
